diff --git a/tests/tls.c b/tests/tls.c
index 5f751ea9..1f1f244c 100644
--- a/tests/tls.c
+++ b/tests/tls.c
@@ -448,7 +448,7 @@ TestMain("TLS Transport", {
 			nng_close(s2);
 			nng_close(s1);
 		});
-		trantest_next_address(addr, "tls+tcp://localhost:%u");
+		trantest_next_address(addr, "tls+tcp://*:%u");
 		So(nng_listener_create(&l, s1, addr) == 0);
 		So(init_listener_tls_file(l) == 0);
 		So(nng_listener_start(l, 0) == 0);
diff --git a/tests/wssfile.c b/tests/wssfile.c
index 3f9860fa..9117c277 100644
--- a/tests/wssfile.c
+++ b/tests/wssfile.c
@@ -371,7 +371,7 @@ TestMain("WebSocket Secure (TLS) Transport (file based)", {
 			nng_close(s2);
 			nng_close(s1);
 		});
-		trantest_next_address(addr, "wss://localhost:%u/test");
+		trantest_next_address(addr, "wss://:%u/test");
 		So(nng_listener_create(&l, s1, addr) == 0);
 		So(init_listener_wss_file(l) == 0);
 		So(nng_listener_start(l, 0) == 0);
